### Method

# Ide SubprocessLauncher setenv

#### Declaration

    void
    ide_subprocess_launcher_setenv (
      IdeSubprocessLauncher* self,
      const gchar* key,
      const gchar* value,
      gboolean replace
    )

#### Description

No description available.

#### Parameters

`key` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`replace` | `gboolean`
| No description available.